Subject: Re: bug#22656: How to grep two patterns in a line with correct coloring?

From: Paul Eggert <[email-masked]>
Date: Sun, 10 Apr 2016 22:54:21 -0700

Zev Weiss wrote:
> The original question asked about colorizing both patterns in the output of
>
>   grep word1 | grep word2
>
> (i.e. lines that contain *both* word1 and word2)

I interpreted the original question the other way. Now that I reread it, it 
appears to be ambiguous.

This bug report does have the flavor of someone trying to use debbugs.gnu.org to 
solve a homework problem, which means I should probably stop now....